Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class AprEndpoint.Sendfile

    java.lang.Object
      java.lang.Thread
          org.apache.tomcat.util.net.AprEndpoint.Sendfile

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AprEndpoint

    public class AprEndpoint.Sendfile

extends java.lang.Thread

Sendfile class.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected int` | `addCount`
`protected java.util.ArrayList<AprEndpoint.SendfileData>` | `addS`
`protected long[]` | `desc`
`protected long` | `pool`
`protected int` | `sendfileCount`
`protected java.util.HashMap<java.lang.Long,AprEndpoint.SendfileData>` | `sendfileData`
`protected long` | `sendfilePollset`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AprEndpoint.Sendfile()`

Method Summary
`boolean` | `add(AprEndpoint.SendfileData data)` Add the sendfile data to the sendfile poller.
`void` | `destroy()` Destroy the poller.
`int` | `getSendfileCount()`
`protected void` | `init()` Create the sendfile poller.
`protected void` | `remove(AprEndpoint.SendfileData data)` Remove socket from the poller.
`void` | `run()` The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sendfilePollset

    protected long sendfilePollset

### pool

    protected long pool

### desc

    protected long[] desc

### sendfileData

    protected java.util.HashMap<java.lang.Long,AprEndpoint.SendfileData> sendfileData

### sendfileCount

    protected volatile int sendfileCount

### addS

    protected java.util.ArrayList<AprEndpoint.SendfileData> addS

### addCount

    protected volatile int addCount

Constructor Detail

### AprEndpoint.Sendfile

    public AprEndpoint.Sendfile()

Method Detail

### getSendfileCount

    public int getSendfileCount()

### init

    protected void init()

  Create the sendfile poller. With some versions of APR, the maximum poller size will be 62 (reocmpiling APR is necessary to remove this limitation).

### destroy

    public void destroy()

  Destroy the poller.

  Overrides:
    `destroy` in class `java.lang.Thread`

### add

    public boolean add(AprEndpoint.SendfileData data)

  Add the sendfile data to the sendfile poller. Note that in most cases, the initial non blocking calls to sendfile will return right away, and will be handled asynchronously inside the kernel. As a result, the poller will never be used.

  Parameters:
    `data` - containing the reference to the data which should be snet
  Returns:
    true if all the data has been sent right away, and false otherwise

### remove

    protected void remove(AprEndpoint.SendfileData data)

  Remove socket from the poller.

  Parameters:
    `data` - the sendfile data which should be removed

### run

    public void run()

  The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.